/* Explore */
.explore-card {
    align-items: center;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 8px;
    color: white;
    display: flex;
    flex: 1 1 0;
    font-size: 1.5rem;
    font-weight: bold;
    height: 160px;
    justify-content: center;
    position: relative;
    text-decoration: none;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    transition: filter 0.3s ease, transform 0.3s ease;
    white-space: nowrap;
}

.explore-card span {
    padding: 0 10px;
    position: relative;
    z-index: 1;
}

.explore-card:hover {
    transform: translateY(-10px);
}

.explore-card:active {
    filter: brightness(70%);
    transform: translateY(-10px);
}

.explore-card.compressed {
    font-size: 0.8rem; 
}

.explore-container {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

.explore-section {
    background-color: #212121; 
    margin: 40px 0; 
    max-width: 100%;
    padding: 60px 20px;
}

.explore-section h2 {
    margin-bottom: 10px;
    text-align: center;
    color: white;
    font-size: 2.2rem;
    font-weight: 700;
}

.explore-section h3 {
    color: white;
    font-weight: 500;
}

/* Mobile Responsiveness */
@media (max-width: 800px) {
    .explore-container {
        flex-wrap: wrap;
    }

    .explore-card {
        flex: 1 1 calc(50% - 15px); /* 2x2 grid */
        height: 120px;
    }

    .explore-card:hover {
        transform: translateY(0);
    }
    
    .explore-card:active {
        filter: brightness(70%);
        transform: translateY(0);
    }
}

@media (max-width: 480px) {
    .explore-card {
        flex: 1 1 100%; /* 1x4 grid */
        height: 100px;
    }
}
